/*** Copyright: OGIHARA Takeshi, May 2008 ***/

#import "UroRemotePiece.h"
#import <Foundation/Foundation.h>
#import <AppKit/NSColor.h>
#import "UroServer.h"

@implementation UroRemotePiece

- (void)setBoardWidth:(int)w height:(int)h {
    [[self class] setBoardWidth:w height:h];
}

- (id)initWithController:(id)obj
{
    [super initWithController:obj];
    color = [NSColor blackColor];
    return self;
}

@synthesize color;

- (void)terminate {
    [self stop];
    [controller removePieceAt:location];
    [NSThread exit];
}

@end
