/*** Copyright: OGIHARA Takeshi, March 2006 ***/

#import <Foundation/NSAutoreleasePool.h>
#import <stdio.h>
#import "RealNumber.h"
#import "Fraction.h"
#import "NSStringReal.h"
#import "RealArray.h"

int main(void)
{
    id pool = [[NSAutoreleasePool alloc] init];
    id array = [NSMutableArray array];
    [array addRealNumber:@"1.3"];
    [array addRealNumber:@"0.35"];
    [array addRealNumber:@"0.2"];
    [array addRealNumber:
        [Fraction fractionWithNumerator:1 denominator:3]];
    [array addRealNumber:
        [Fraction fractionWithNumerator:3 denominator:8]];
    [array addRealNumber:
        [Fraction fractionWithNumerator:3 denominator:2]];
    [array sort];
    printf("%s\n", [[array description] UTF8String]);
    [pool release];
    return 0;
}
