#import <Foundation/Foundation.h>
#import <stdio.h>
#import "RingBuffer.h"
#import "RingBuffer+Enumerator.h"

int main(void) // use GC
{
    RingBuffer *q;
    int i;
    id enu;
    const int upperlim = 80;

    q = [[RingBuffer alloc] initWithCapacity:18];
    for (i = 1; i < upperlim; i++) {
        if (i % 4 == 0)
            printf("Dequeue: %d\n", [[q dequeue] intValue]);
        else
            [q enqueue:[NSNumber numberWithInt: i]];
        enu = [q objectEnumerator];
        for (id obj in enu)
            printf(" %d", [obj intValue]);
        putchar('\n');
    }
    return 0;
}
