/*** Copyright: OGIHARA Takeshi, April 2008 ***/

#import <Foundation/Foundation.h>

int main(int argc, char *argv[])
{
    id pool = [[NSAutoreleasePool alloc] init];
    id array = [NSMutableArray array];        // empty array

    @try {
        if (argc == 1)
            array = [array objectAtIndex:1];  // NSRangeException
        else
            [array addObject:nil];            // NSInvalidArgumentException
        NSLog(@"success\n");
    }
    @catch (NSException *ex) {
        NSString *name = [ex name];
        NSLog(@"Name: %@\n", name);
        NSLog(@"Reason: %@\n", [ex reason]);
        if ([name isEqualToString:NSRangeException])
            NSLog(@"Exception was caught successfully.\n");
        else
            [ex raise];    // raise the exception again
    }

    NSLog(@"main exit\n");
    [pool release];
    return 0;
}
